import { type Config } from '@pnpm/config';
import { add } from '@pnpm/plugin-commands-installation';
export declare const commandNames: string[];
export declare const shorthands: {
    c: string;
};
export declare function rcOptionsTypes(): {
    'shell-mode': BooleanConstructor;
};
export declare const cliOptionsTypes: () => {
    package: (ArrayConstructor | StringConstructor)[];
    'shell-mode': BooleanConstructor;
};
export declare function help(): string;
export type DlxCommandOptions = {
    package?: string[];
    shellMode?: boolean;
} & Pick<Config, 'reporter' | 'userAgent'> & add.AddCommandOptions;
export declare function handler(opts: DlxCommandOptions, [command, ...args]: string[]): Promise<void>;
