import { type Config } from '@pnpm/config';
import { type PackageScripts } from '@pnpm/types';
export type RecursiveRunOpts = Pick<Config, 'enablePrePostScripts' | 'unsafePerm' | 'rawConfig' | 'rootProjectManifest' | 'scriptsPrependNodePath' | 'scriptShell' | 'shellEmulator' | 'stream'> & Required<Pick<Config, 'allProjects' | 'selectedProjectsGraph' | 'workspaceDir' | 'dir'>> & Partial<Pick<Config, 'extraBinPaths' | 'extraEnv' | 'bail' | 'reverse' | 'sort' | 'workspaceConcurrency'>> & {
    ifPresent?: boolean;
    resumeFrom?: string;
    reportSummary?: boolean;
};
export declare function runRecursive(params: string[], opts: RecursiveRunOpts): Promise<void>;
export declare function getSpecifiedScripts(scripts: PackageScripts, scriptName: string): string[];
