import * as create from './create';
import * as dlx from './dlx';
import * as exec from './exec';
import * as restart from './restart';
import * as run from './run';
declare const test: {
    help(): string;
    handler(opts: run.RunOpts, params?: string[]): Promise<string | void | {
        exitCode: number;
    }>;
    commandNames: string[];
    rcOptionsTypes(): {};
    cliOptionsTypes(): {
        recursive: BooleanConstructor;
        reverse: BooleanConstructor;
        'resume-from': StringConstructor;
        'report-summary': BooleanConstructor;
        'if-present': BooleanConstructor;
    };
    IF_PRESENT_OPTION: {
        'if-present': BooleanConstructor;
    };
    IF_PRESENT_OPTION_HELP: {
        description: string;
        name: string;
    };
    PARALLEL_OPTION_HELP: {
        description: string;
        name: string;
    };
    RESUME_FROM_OPTION_HELP: {
        description: string;
        name: string;
    };
    SEQUENTIAL_OPTION_HELP: {
        description: string;
        name: string;
    };
    REPORT_SUMMARY_OPTION_HELP: {
        description: string;
        name: string;
    };
    shorthands: {
        parallel: string[];
        sequential: string[];
    };
    completion: import("@pnpm/command").CompletionFunc;
    runScript: (opts: {
        manifest: import("@pnpm/types").ProjectManifest;
        lifecycleOpts: import("@pnpm/lifecycle").RunLifecycleHookOptions;
        runScriptOptions: run.RunScriptOptions;
        passedThruArgs: string[];
    }, scriptName: string) => Promise<void>;
};
export { create, dlx, exec, restart, run, test };
